Package org.kapott.hbci.sepa.jaxb.pain_008_003_02

# Class DateAndPlaceOfBirth

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_003_02.DateAndPlaceOfBirth

public class DateAndPlaceOfBirth extends Object

Java class for DateAndPlaceOfBirth complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateAndPlaceOfBirth">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BirthDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}ISODate"/>
             <element name="PrvcOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}Max35Text" minOccurs="0"/>
             <element name="CityOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}Max35Text"/>
             <element name="CtryOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}CountryCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`birthDt`
`protected String`
`cityOfBirth`
`protected String`
`ctryOfBirth`
`protected String`
`prvcOfBirth`

## Constructor Summary

Constructors
Constructor
Description
`DateAndPlaceOfBirth()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getBirthDt()`
Gets the value of the birthDt property.
`String`
`getCityOfBirth()`
Gets the value of the cityOfBirth property.
`String`
`getCtryOfBirth()`
Gets the value of the ctryOfBirth property.
`String`
`getPrvcOfBirth()`
Gets the value of the prvcOfBirth property.
`void`
`setBirthDt(XMLGregorianCalendar value)`
Sets the value of the birthDt property.
`void`
`setCityOfBirth(String value)`
Sets the value of the cityOfBirth property.
`void`
`setCtryOfBirth(String value)`
Sets the value of the ctryOfBirth property.
`void`
`setPrvcOfBirth(String value)`
Sets the value of the prvcOfBirth property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### birthDt

protected XMLGregorianCalendar birthDt

### prvcOfBirth

protected String prvcOfBirth

### cityOfBirth

protected String cityOfBirth

### ctryOfBirth

protected String ctryOfBirth

## Constructor Details

### DateAndPlaceOfBirth

public DateAndPlaceOfBirth()

## Method Details

### getBirthDt

public XMLGregorianCalendar getBirthDt()
Gets the value of the birthDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setBirthDt

public void setBirthDt(XMLGregorianCalendar value)
Sets the value of the birthDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getPrvcOfBirth

public String getPrvcOfBirth()
Gets the value of the prvcOfBirth property.

Returns:
  possible object is `String`

### setPrvcOfBirth

public void setPrvcOfBirth(String value)
Sets the value of the prvcOfBirth property.

Parameters:
  `value` - allowed object is `String`

### getCityOfBirth

public String getCityOfBirth()
Gets the value of the cityOfBirth property.

Returns:
  possible object is `String`

### setCityOfBirth

public void setCityOfBirth(String value)
Sets the value of the cityOfBirth property.

Parameters:
  `value` - allowed object is `String`

### getCtryOfBirth

public String getCtryOfBirth()
Gets the value of the ctryOfBirth property.

Returns:
  possible object is `String`

### setCtryOfBirth

public void setCtryOfBirth(String value)
Sets the value of the ctryOfBirth property.

Parameters:
  `value` - allowed object is `String`